% Es gibt das Skalarprodukt zweier Vektoren mit gleicher Länge. Dies
% entspricht der Matrix-Multiplikation eines (1xn) Zeilen-Vektors
% mit einem (nx1)-Spaltenvektor

% Außerdem gibt es das sogenannte dyadische Produkt eines Spaltenvektors
% mit einem Zeilenvektor. Dies entspricht der Matrix-Multiplikation eines
% (nx1)-Spaltenvektors und einem (1xm)-Zeilenvektor. Das Ergebnis ist die
% eine Matrix mit den Einträgen a_(ij)=v_i*w_j, wobei v und w die zu
% multiplizierenden Vektoren sind.

% Man kann Vektoren auch komponentenweise multiplizieren. Dies entspricht
% keiner Matrix-Vektor-Multiplikation. In Matlab kann dies mit dem Operator
% .* realisiert werden (für Matrizen genauso).

open innerProduct.m