h=0.01:0.01:1;
n=length(h);
diffQuot=zeros(n,1); % Werte des Differenzenquotienten
errors=zeros(n,1);   % Fehler des Differenzenquotient
% sin(0)=0, deswegen ist der Differenzenquotient nur
% sin(h)/h. Der exakte Wert der Ableitung ist cos(0)=1.
for k=1:n
    diffQuot(k)=sin(h(k))/h(k);
    errors(k)=abs(diffQuot(k)-1);
end
% Plotte h gegen errors mit loglog Plot:
loglog(h,errors,'Marker','o');
% plotte h -> h und h -> h^2 im selben Plot:
hold on;
loglog(h,h);
loglog(h,h.^2);
legend('Fehler','h','h^2');

% Man sieht, dass der Differenzenquotient mit Ordnung 2 konvergiert.