function [C]=matMult(A,B);
% Berechnet das Produkt der Matrizen A und B
[n,m]=size(A);
[m2,k]=size(B);
if m~=m2
    error('Dimensionen passen nicht!');
end

C=zeros(n,k); % Initialisierung
for i=1:n % Iteriere über die Zeilen von C
    for j=1:k % und dann über die Spalten
        for l=1:m
            C(i,j)=C(i,j)+A(i,l)*B(l,j);
        end
    end
end
end